using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

namespace Vevo.Shared.Domain.SystemServices
{
    public class MailSettings
    {
        #region Private

        private string _smtpServer;
        private int _smtpPort;
        private bool _smtpAuthenRequired;
        private string _smtpUserName;
        private string _smtpPassword;
        private bool _smtpSslRequired;

        #endregion


        #region Constructors

        public MailSettings( NameValueCollection settings )
        {
            _smtpServer = settings["SmtpServer"];
            _smtpPort = Convert.ToInt32( settings["SmtpPort"] );
            _smtpAuthenRequired = Convert.ToBoolean( settings["SmtpAuthenRequired"] );
            _smtpUserName = settings["SmtpUserName"];
            _smtpPassword = settings["SmtpPassword"];
            _smtpSslRequired = Convert.ToBoolean( settings["SmtpSslRequired"] );
        }

        #endregion


        #region Public Properties

        public string SmtpServer { get { return _smtpServer; } }
        public int SmtpPort { get { return _smtpPort; } }
        public bool SmtpAuthenRequired { get { return _smtpAuthenRequired; } }
        public string SmtpUserName { get { return _smtpUserName; } }
        public string SmtpPassword { get { return _smtpPassword; } }
        public bool SmtpSslRequired { get { return _smtpSslRequired; } }

        #endregion
    }
}
