using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Base;
using Vevo.Domain.Exceptions;

namespace Vevo.Domain.Configurations
{
    public class ConfigurationDescription
    {
        #region Public Constances
        public const string ConfigurationSearchBy = "DisplayName,Keyword";

        #endregion
        
        #region Private

        private string _cultureID = "0";
        private string _mainGroup = String.Empty;
        private string _subGroup = String.Empty;
        private string _description = String.Empty;
        private string _keyword = String.Empty;
        private string _displayName = String.Empty;


        #endregion


        #region Constructors

        public ConfigurationDescription( string cultureID )
        {
            _cultureID = cultureID;
        }

        #endregion


        #region Public Properties

        public string CultureID { get { return _cultureID; } }
        public string MainGroup { get { return _mainGroup; } set { _mainGroup = value; } }
        public string SubGroup { get { return _subGroup; } set { _subGroup = value; } }
        public string Description { get { return _description; } set { _description = value; } }
        public string Keyword { get { return _keyword; } set { _keyword = value; } }
        public string DisplayName { get { return _displayName; } set { _displayName = value; } }
        #endregion

    }
}
