﻿using System.Collections.Generic;
using Vevo.Domain.Base;
using Vevo.Domain.Products;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IProductKitGroupRepository
    {
        // Functions that are intended to be used internally inside aggregates.
        #region Aggregate Methods

        ProductKitItem GetOneItem( string productKitGroupID, string productID );
        IList<ProductKitItem> GetAllProductKitItems();
        IList<ProductKitItem> GetProductKitItems( string productKitGroupID, Culture culture );
        IList<ProductKitItem> GetProductKitItems( string productKitGroupID, string sortBy, Culture culture );
        void DeleteProductKitItemByGroupID( string productKitGroupID );
        void DeleteProductKitItem( string productID, string productKitGroupID );
        void DeleteProductKitItemByProductID( string productID );

        #endregion

        ProductKitGroup Save( ProductKitGroup productKitGroup );
        void Delete( string productKitGroupID );
        void DeleteLocalesByCultureID( string cultureID );
        ProductKitGroup GetOne( Culture culture, string productKitGroupID );
        IList<ILocale> GetLocales( string productKitGroupID );
        IList<ProductKitGroup> GetAll( Culture culture );
        IList<ProductKitGroup> GetAll( Culture culture, string sortBy );
        IList<ProductKitGroup> GetAllByProductID( Culture culture, string productID, string sortBy );
        IList<ProductKitGroup> GetAllExceptBaseProduct( Culture culture, string productID );
        IList<TableSchemaItem> GetTableSchema();
        IList<ProductKitGroup> SearchProductKitGroup(
            Culture culture,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        ProductKitItem GetProductKitItem( string productID );
        void UpdateProductKitSortOrder( string productKit, string[] sortedProductKitGroup );
        void UpdateProductKitItemSortOrder( string productKitGroup, string[] sortedProductKitItems );
    }
}
