using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Discounts
{
    public class DiscountRule
    {
        #region Private

        private string _discountRuleID = "0";
        private string _discountGroupID = "0";
        private int _toItems;
        private double _percentage;
        private decimal _amount;

        #endregion


        #region Public Constants

        public const int MaxNumberOfItems = SystemConst.UnlimitedNumber;

        #endregion


        #region Public Properties

        public string DiscountRuleID
        {
            get { return _discountRuleID; }
            set { _discountRuleID = value; }
        }

        public string DiscountGroupID
        {
            get { return _discountGroupID; }
            set { _discountGroupID = value; }
        }

        public int ToItems
        {
            get { return _toItems; }
            set { _toItems = value; }
        }

        public double Percentage
        {
            get { return _percentage; }
            set { _percentage = value; }
        }

        public decimal Amount
        {
            get { return _amount; }
            set { _amount = value; }
        }

        #endregion


        #region Public Methods

        public string FormatAmountText()
        {
            DiscountGroup discountGroup =
                DataAccessContext.DiscountGroupRepository.GetOne( DiscountGroupID );

            if (discountGroup.DiscountType == DiscountGroup.DiscountTypeEnum.Percentage)
                return Percentage.ToString() + "%";
            else
                return Amount.ToString( "n" + SystemConst.DecimalPointLenght );
        }

        #endregion

    }
}
