﻿using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.DataInterfaces;
using Vevo.Domain;
using Vevo.Base.Domain;

namespace Vevo.WebServices.SearchFilters
{
    public static class SearchFilterUtilities
    {
        public static SearchFilter.SearchFilterType ConvertSearchFilterType(SearchFilterConstraints.FilterType searchType )
        {
            SearchFilter.SearchFilterType searchFilterType = SearchFilter.SearchFilterType.None;
            if (searchType == SearchFilterConstraints.FilterType.Boolean)
                searchFilterType = SearchFilter.SearchFilterType.Boolean;
            else if (searchType == SearchFilterConstraints.FilterType.Date)
                searchFilterType = SearchFilter.SearchFilterType.Date;
            else if (searchType == SearchFilterConstraints.FilterType.Text)
                searchFilterType = SearchFilter.SearchFilterType.Text;
            else if (searchType == SearchFilterConstraints.FilterType.ValueRange)
                searchFilterType = SearchFilter.SearchFilterType.ValueRange;
            return searchFilterType;
        }

        public static SearchFilter ConvertConstraintToSearchFilter( SearchFilterConstraints constraints )
        {
            SearchFilter.SearchFilterType searchFilterType = ConvertSearchFilterType( constraints.SearchType );
            SearchFilter searchFiler = new SearchFilter( searchFilterType, constraints.FieldName, constraints.Value1, constraints.Value2 );
            return searchFiler;
        }
    }
}
