using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo.WebAppLib;
using Vevo.WebUI;


namespace Vevo.WebUI.BaseControls
{
    /// <summary>
    /// Summary description for BaseUserControl
    /// </summary>
    public class BaseUserControl : BaseAjaxUserControl
    {
        private string _messageControlID;
        private IMessageControl _messageControl;


        private IMessageControl GetMessageControl()
        {
            if (!String.IsNullOrEmpty( _messageControlID ))
            {
                IMessageControl messageControl =
                    (IMessageControl) WebUtilities.FindControlRecursive( Page, _messageControlID );

                if (messageControl != null)
                    return messageControl;
            }

            return null;
        }

        protected IMessageControl MessageControl
        {
            get
            {
                if (_messageControl == null)
                    _messageControl = GetMessageControl();

                if (_messageControl == null)
                    return NullMessageControl.Instance;

                return _messageControl;
            }
        }


        public string MessageControlID 
        {
            get
            {
                return _messageControlID;
            }
            set
            {
                _messageControlID = value.ToString().Trim();
            }
        }

    }
}
